/**
 * 
 */
package pt.digitalis.sampleApp.iss;

import java.util.ArrayList;

/**
 * A <code>BaseWriterProcess</code> String Arraylist container implementation
 * 
 * @author Pedro Viegas <a
 *         href="mailto:pviegas@digitalis.pt">pviegas@digitalis.pt</a>
 * @created Aug 5, 2007
 * 
 */
public class WriterProcessStringImpl extends BaseWriterProcess {

	/**
	 * The container for the outputed strings
	 */
	ArrayList<String> container;

	/**
	 * @see pt.digitalis.sampleApp.iss.BaseWriterProcess#EndWritingProcess()
	 */
	@Override
	protected void EndWritingProcess() {
		// Nothing to do!
	}

	/**
	 * @see pt.digitalis.sampleApp.iss.BaseWriterProcess#StartWritingProcess()
	 */
	@Override
	protected boolean StartWritingProcess() {

		container = new ArrayList<String>();

		return true;
	}

	/**
	 * @see pt.digitalis.sampleApp.iss.BaseWriterProcess#Write(java.lang.String)
	 */
	@Override
	protected void Write(String item) {
		container.add(item);
	}
}
