/**
 * 
 */
package pt.digitalis.sampleApp.util.stats;

/**
 * @author Pedro Viegas <a
 *         href="mailto:pviegas@digitalis.pt">pviegas@digitalis.pt</a>
 * @created Aug 8, 2007
 * 
 */
public class Series {

	/**
	 * Constructor
	 * 
	 * @param name
	 *            the name of the series
	 * @param values
	 *            the values of the series
	 */
	public Series(String name, long[] values) {
		this.name = name;
		this.values = values;
	}

	/** The series name */
	private String name;

	/** The time values */
	private long[] values;

	/**
	 * @return the name
	 */
	public String getName() {
		return name;
	}

	/**
	 * @return the values
	 */
	public long[] getValues() {
		return values;
	}
}
